Botan 2.13.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Macros
socket.cpp File Reference
`#include <botan/internal/socket.h>`
`#include <botan/exceptn.h>`
`#include <botan/mem_ops.h>`
`#include <chrono>`
`#include <boost/asio.hpp>`
`#include <boost/asio/system_timer.hpp>`

Go to the source code of this file.

## Namespaces
| Botan

## Macros
#define | BOOST_ASIO_DISABLE_SERIAL_PORT

## Macro Definition Documentation

#define BOOST_ASIO_DISABLE_SERIAL_PORT

Definition at line 19 of file socket.cpp.

## Variable Documentation

boost::asio::io_service m_io

Definition at line 128 of file socket.cpp.

boost::asio::ip::tcp::socket m_tcp

Definition at line 130 of file socket.cpp.

const std::chrono::milliseconds m_timeout

Definition at line 127 of file socket.cpp.

boost::asio::system_timer m_timer

Definition at line 129 of file socket.cpp.

Referenced by Botan::Timer::Timer_Scope::Timer_Scope(), and Botan::Timer::Timer_Scope::~Timer_Scope().